# This file created by conda-build 3.23.3
# meta.yaml template originally from:
# C:\Users\dev-admin\aggregate\flask-restx-feedstock\recipe, last modified Wed Feb 15 14:36:42 2023
# ------------------------------------------------

package:
  name: flask-restx
  version: 1.0.3
source:
  sha256: 5fdacd23031d25ff4642f141a47a7fa877f07e3e261099ccc5ebc4fc254de84c
  url: https://pypi.io/packages/source/f/flask-restx/flask-restx-1.0.3.tar.gz
build:
  number: '0'
  script: c:\\ci_311\\flask-restx_1676471803517\\_h_env\\python.exe -m pip install
    . -vv
  string: py311haa95532_0
requirements:
  host:
    - bzip2 1.0.8 he774522_0
    - ca-certificates 2023.01.10 haa95532_0
    - certifi 2022.12.7 py311haa95532_0
    - libffi 3.4.2 hd77b12b_6
    - openssl 1.1.1t h2bbff1b_0
    - pip 22.3.1 py311haa95532_0
    - python 3.11.0 h966fe2a_1
    - setuptools 65.5.0 py311haa95532_0
    - sqlite 3.40.1 h2bbff1b_0
    - tk 8.6.12 h2bbff1b_0
    - tzdata 2022g h04d1e81_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - wheel 0.37.1 pyhd3eb1b0_0
    - wincertstore 0.2 py311haa95532_0
    - xz 5.2.10 h8cc25b3_1
    - zlib 1.2.13 h8cc25b3_0
  run:
    - aniso8601 >=0.82
    - flask >=0.8,!=2.0.0
    - jsonschema
    - python >=3.11,<3.12.0a0
    - pytz
    - werkzeug !=2.0.0
test:
  commands:
    - pip check
  imports:
    - flask_restx
  requires:
    - pip
about:
  description: 'Flask-RESTX is an extension for Flask that adds support for quickly
    building REST APIs.

    Flask-RESTX encourages best practices with minimal setup. If you are familiar
    with Flask,

    Flask-RESTX should be easy to pick up. It provides a coherent collection of decorators
    and

    tools to describe your API and expose its documentation properly using Swagger.

    '
  dev_url: https://github.com/python-restx/flask-restx/
  doc_source_url: https://github.com/python-restx/flask-restx/blob/master/doc/index.rst
  doc_url: https://flask-restx.readthedocs.io/
  home: https://github.com/python-restx/flask-restx/
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  license_url: https://github.com/python-restx/flask-restx/blob/master/LICENSE
  summary: Fully featured framework for fast, easy and documented API development
    with Flask
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - SVilgelm
    - fhoehle
